ERPNext Foundation ERPNext Cloud Chat Blog Discuss Frappé* Donate

Easy Installation setup (production with nginx and supervisor) on previous version

installation
customization
erpnextversion8

#1

Is it possible to installing erpnext by using easy installation on certain version ?

For example, i wish to use 8.1.0 instead of the latest version. is it possible ?

If it is not possible through production mode, is it possible can be done in installing using development branch?

I saw many post on previous regarding installing specific version and i had tried on it, but i just can’t figure out what is the best way / proper approach to do it ?


#2

@jcyh,

Currently it is not possible to install specific version using easy install script, But you can install the version using bench init command.

e.g.

bench init --frappe-branch v8.0.1 frappe-bench && cd frappe-bench
it will install the frappe with version v8.0.1, to install the erpnext use the following command

bench get-app erpnext --branch v8.0.1


#3

@makarand_b,

Thank you very much, you are the best. Have a nice day ahead.

Before i use command bench init --frappe-branch v8.0.19 frappe-bench, i did use command like:
apt-get install python-minimal
git clone https://github.com/frappe/bench bench-repo
sudo pip install -e bench-repo

However, there is an error after i use command bench init --frappe-branch v8.0.19 frappe-bench

The problem is here :



#4

Hello @jcyh,

Here I share one link for you, I hope this will helpful for you.


#5

@yogendrasinh,

Hi, really thank you of your reply , i had tried using the method you sent to me in the link , isn’t work for me.

i still can’t figure out what’s wrong based on traceback.


#6

is this what i did is correct ?

I did command :
apt-get install python-minimal
git clone https://github.com/frappe/bench bench-repo
sudo pip install -e bench-repo
bench init --frappe-branch v8.0.19 frappe-bench


#7

Hi @makarand_b,

The command you posted above, isn’t work it stated fatal: Remote branch v8.0.19 not found in upstream upstream


#8

@jcyh,

branch should be v8.0.19 not v.8.0.19


#9

@makarand_b
Sorry , for my mistake, i do tried using v8.0.25, i hit another problem :


Appreciate your help.


#10

@jcyh

Based on the error showing in red, it seems like you don’t have MySQL-Python installed.

Do a pip list to check

If it isn’t follow some of these instructions to get it installed

Hope this helps


#11

@makarand_b , @saidsl,

bench init --frappe-branch v8.0.25 frappe-bench && cd frappe-bench

[should i create new site for this ? ]

bench get-app erpnext --branch v8.0.18


#12

@saidsl ,

in the manual installation method, there is a test on mariadb server using command : mysql -u root -p, but what is password of it ? i change the password using this link, https://ubuntuforums.org/showthread.php?t=2275033&p=13272315#post13272315

When i bench new-site site1.local, it still hit access denied error message like below :

I really have no idea what’s wrong, i did mysql -u root -p, then type in the password i set, it able to login to the mariadb. Please help me…I follow exactly the manual installation from Guide: Manual Install ERPNext on Ubuntu 16.xx & Debian v8 & 9.

The reason i wanted to use manual installation is because i want to deploy same frappe & erpnext version to another server.

@makarand_b, i can’t create site to install the application erpnext, how should i did that ? i hit error of access denied once i want to create new site.

I found out that when i use command : mysql -u root -p, i must include sudo mysql -u root -p, else whatever password i put it, it will always access denied, any idea ? sorry, i am not familiar in linux.


#13

When you installed mariadb, you would have created the root password for mariadb, that is the password you need to use.

If you don’t recall it, use this to recover the password

Regards
Said


Access denied for the bench update - mysql exception
#14

@saidsl,

When i sudo mysql -u root -p, then entered the password, it always

, even i tried to reset the password already, restart mysql, restart vm…

I really have no idea, since i must use manual installation because i want get back the previous version of erpnext.

Does the manual installation that you posted still working ?


#15

When i use the link to change the mysql or mariadb password : it hit this error:


#16

Yes, there has not been any significant change as far as I can tell


#17

Seems like your mariadb service has not been started yet.

Try reboot the VirtualBox and start the service


#18

Hi @saidsl,

Finally, i able to solved my problem by referring to this link, there is an command that you missed out which lead to the problem i facing.

There is some command u r missing before install mariadb-server , which is this command :
sudo add-apt-repository ‘deb [arch=amd64,i386] http://sgp1.mirrors.digitalocean.com/mariadb/repo/10.1/ubuntu xenial main’

please refer to this link :

besides that, when create new site, might hit mysql “ERROR 1524 (HY000): Plugin ‘unix_socket’ is not loaded”, then refer to these link :

i had resolve my issue. I really appreciate your help, @saidsl.

Kindly please update your post with the command : sudo add-apt-repository ‘deb [arch=amd64,i386] http://sgp1.mirrors.digitalocean.com/mariadb/repo/10.1/ubuntu xenial main’

Thanks again.


#20

@jcyh

The post I had made did not specify which repository to use as each host would have different one therefore, I opted to keep out.

In my case when I did the manual install, I had already downloaded an ISO Debian 9.

And as I mentioned in my post, its merely a guide as to the process that I gone through and may differ from user to user.

Glad to know its all sorted on your end.

Regards
Said


#21

@makarand_b,

I tried to install the previous version using the two command you suggested earlier in the post,

i tried it with bench start, when i access it in URL, the bench console straight away go for System exit, when i delete frappe-bench folder and drop database , use bench init frappe-bench --frappe-branch master and erpnext master, then install it in site1.local, everything work fine in the same url.

Do you know why ?